- Qt 5.15
- Qt Widgets
- C++ Classes
- QLabel
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QLabel

The following members of class QLabel are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` const QPicture * | picture() const
`(obsolete)` const QPixmap * | pixmap() const

## Member Function Documentation

### const QPicture *QLabel::picture() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

New code should use the other overload which returns QPicture by-value.

This function returns the label's picture or `nullptr` if the label doesn't have a picture.

See also setPicture().

### const QPixmap *QLabel::pixmap() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

New code should use the other overload which returns QPixmap by-value.

See also setPixmap().